%bcond_with tests

Summary:        An API for virtualenv/pip
Name:           python-virtualenv-api
Version:        2.1.18
Release:        1%{?dist}

License:        BSD-2-Clause
URL:            https://github.com/sjkingo/virtualenv-api
Source0:         %{url}/archive/%{version}/virtualenv-api-%{version}.tar.gz

# https://github.com/sjkingo/virtualenv-api/pull/52
Patch0001:          %{url}/pull/52.patch
# https://github.com/sjkingo/virtualenv-api/pull/48
Patch0002:          %{url}/pull/48.patch
# https://github.com/sjkingo/virtualenv-api/pull/56
Patch0003:          %{url}/pull/56.patch

BuildArch:      noarch

BuildRequires: python3-devel /usr/bin/virtualenv /usr/bin/pip

%description
virtualenv is a tool to create isolated Python environments. Unfortunately, it
does not expose a native Python API. This package aims to provide an API in the
form of a wrapper around virtualenv.

It can be used to create and delete environments and perform package management
inside the environment.


%package -n     python3-virtualenv-api
Summary:        An API for virtualenv/pip

Requires:       /usr/bin/virtualenv
Requires:       /usr/bin/pip

%description -n python3-virtualenv-api
virtualenv is a tool to create isolated Python environments. Unfortunately, it
does not expose a native Python API. This package aims to provide an API in the
form of a wrapper around virtualenv.

It can be used to create and delete environments and perform package management
inside the environment.


%prep
%autosetup -n virtualenv-api-%{version} -p1
%py3_shebang_fix example.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files virtualenvapi


%check
%if %{with tests}
%{py3_test_envvars} '%{python3}' -m unittest -v tests.py
%endif


%files -n python3-virtualenv-api -f %{pyproject_files}
%doc CHANGES.md README.rst example.py


%changelog
* Tue Mar 19 2024 cunshunxia <cunshunxia@tencent.com> - 2.1.18-1
- initial build
